Page MenuHomePhabricator

check: reset flags that used for legacy 'changed' cb
ClosedPublic

Authored by akanad on Nov 3 2019, 5:53 PM.

Details

Summary

in case of setting a state of check by calling a API,
the flags that used for changed cb aren't changed.
which causes that the callback not invoked when it should be.

this patch resets the flags to make it work properly.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
akanad created this revision.Nov 3 2019, 5:53 PM
akanad requested review of this revision.Nov 3 2019, 5:53 PM

Can you add a test for this, showing this issue?

bu5hm4n requested changes to this revision.Nov 5 2019, 12:37 PM
This revision now requires changes to proceed.Nov 5 2019, 12:37 PM
akanad updated this revision to Diff 26694.Nov 5 2019, 6:06 PM
  1. add a new testcase for elm_check
  2. rebase
bu5hm4n accepted this revision.Nov 6 2019, 5:02 AM

I amended 2 changes. *ev was EINA_UNUSED. data->value ++; should be there instead of data->value = 1; otherwise we do not test that the state setting by API is not triggering a "changed" event.

This revision is now accepted and ready to land.Nov 6 2019, 5:02 AM
Closed by commit rEFLdc5251639718: check: reset flags that used for legacy 'changed' cb (authored by WhiskyKiloSq, committed by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyNov 6 2019, 5:04 AM
This revision was automatically updated to reflect the committed changes.